"use strict";

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Page = function () {
  function Page() {
    (0, _classCallCheck3["default"])(this, Page);
  }

  /**
   * 保留当前页面，跳转到应用内的某个页面，使用navigateBack可以返回到原页面
   * @param {string} url 
   */
  Page.navigateTo = function navigateTo(url) {};

  /**
   * 关闭当前页面，返回上一页面或多级页面。可通过 getCurrentPages() 获取当前的页面栈，决定需要返回几层
   * @param {int} delta 
   */


  Page.navigateBack = function navigateBack(delta) {};

  /**
   * 关闭当前页面，跳转到应用内的某个页面。
   * @param {string} url 
   */


  Page.redirectTo = function redirectTo(url) {};

  /**
   * 获取当前的页面栈
   */


  Page.getCurrentPages = function getCurrentPages() {};

  /**
   * 将页面滚动到目标位置
   * @param {int} top 
   */


  Page.pageScrollTo = function pageScrollTo(top) {};

  return Page;
}();